Subject: Re: BUG: sendemail-validate hook is run too early

From: Jani Nikula <[email-masked]>
Date: Fri, 03 Jan 2020 16:02:12 +0200

On Fri, 03 Jan 2020, Jani Nikula <[email-masked]> wrote:
> I think one possible alternative to adding a completely new hook would
> be postponing the sendemail-validate hook, passing the same patch on the
> command-line as before (to ensure current users are unchanged), and
> additionally passing in the recipients.

I realize the validation is done on *all* patches in a series before any
further processing, so the suggestion to postpone the current validation
hook is a bad idea. We'd need a new hook. The other points about having
both the patch contents and the recipients available to the hook remain.

BR,
Jani.

-- 
Jani Nikula, Intel Open Source Graphics Center